| Linux Installation version 1.1.8

Download | Installation | Run Modes | Command-Line Options | Game Play
Main Page

# Download

Download a tarball of the Crack Attack! source and documentation here.

# Installation

1. Download the tarball and untar.
2. Change to the newly expanded directory.
3. Type `configure`.
4. Type `make`.
5. Type `make install`. You must be `root` for this to work.
6. You may have to type `rehash` at this point, so your shell can find the newly installed binary.
7. The binary will be `crack-attack`. Type `crack-attack --solo` to play offline. Type `crack-attack --server` to start an online game and have an opponent type `crack-attack HOSTNAME` to connect to it.
8. Included in the documentation directory are three handy Crack Attack! icons, `cube_icon.xpm`, `logo_icon.xpm` and, `extreme_icon.xpm`, created by Angie Linn.
9. Something went wrong? Let me know! It's probably my fault. I don't have access to a particularly diverse set of machines, so I need your input.

# Run Modes

Crack Attack! can be played both online against an opponent or offline. It runs in one of three modes: client or server mode for online play and solo mode for offline play.
- server mode
  `crack-attack --server [PORT] [-X] [--wait] [--name 'NAME']`
- client mode
  `crack-attack SERVER[:PORT] [--name 'NAME']`
- solo mode
  `crack-attack --solo [-X] [--name 'NAME']`

# Command-Line Options

`--server | -s [PORT]`
  Start a Crack Attack! server. To play an opponent online, one person starts a server and the other connects to it as a client. `PORT` is the port at which the server will listen, with 8080 being the default. The server will wait for a client to connect or until it times out.
`--solo | -1`
  Play offline in solo mode. Can you make the top thirty!?
`--low | -l`
  Low quality graphics. Use this option if the normal graphics mode is too much for your poor computer.
`-X`
  Play in X-treme mode. See below for details. Please do not attempt X-treme mode if you are pregnant or have any sort of heart condition!
`--wait | -w`
  Causes a server to wait indefinitely for a connection, never timing out.
`--name | -n 'NAME'`
  Specifies your Crack Attack! persona. Single quotes (`'`) surrounding `NAME` are recommended so as not to confuse the shell, especially if you're using strange characters. If no name is specified, it defaults to your username. Most standard keyboard characters are allowed. Those that are not are ignored. Additionally, the tilde (`~`) acts as an escape character, with the following escape sequences available.

`~>`
  Step forward half a space.
`~<`
  Step backward half a space.
`~0 | ~1 | ~2 | ~3 | ~4 | ~5 | ~6 | ~7 | ~8 | ~9`
  Switch colors. The default color is 0.
`~~`
  Just a tilde.

# Game Play

Return to the main page for game play instructions.